# 13 Feb 12

# Force make on windows to use a useful shell
SHELL=sh

# Some directories
BIN_DIR=bin

CC=gcc
#CC=/usr1/expsrc/xgcc-4.0.2/objdir/gcc/xgcc -B/usr1/expsrc/xgcc-4.0.2/objdir/gcc/ -fbounds-checking -DVALGRIND

CFLAGS=-I/usr/local/include -Wall -DFULL_POSIX -g
LFLAGS=
LIBS=-lm  -L/usr/local/lib -lgmp -lgmp -larchive

E_OBJ = numbers.o \
	options.o \
	readdb.o \
	global.o \
	comments.o \
	errors.o \
	fltval.o \
	utils.o \
	levkeydist.o \
	arccomp.o \
	singlefile.o \
	chkfiles.o \
	printnum.o \
	matchnum.o \
	needs.o \
	hashtab.o \
	hashfunc.o \
	usage.o \
	words.o \
	isprop.o

all: $(E_OBJ)
	@echo "src directory compiled"

clean:
	rm *.o

# Use make options=-MM to get gcc to generate a list of dependencies
.c.o:
	$(CC) -c $(CFLAGS) $(options) $<

numbers.o: numbers.c global.h ../config.h printnum.h options.h usage.h \
 singlefile.h chkfiles.h
options.o: options.c global.h ../config.h errors.h utils.h hashtab.h \
 fltval.h readdb.h arccomp.h singlefile.h chkfiles.h levkeydist.h \
 comments.h matchnum.h needs.h printnum.h usage.h words.h options.h
readdb.o: readdb.c global.h ../config.h errors.h isprop.h fltval.h \
 printnum.h matchnum.h utils.h readdb.h
global.o: global.c global.h ../config.h
errors.o: errors.c global.h ../config.h
comments.o: comments.c global.h ../config.h errors.h comments.h
fltval.o: fltval.c global.h ../config.h errors.h utils.h fltval.h
utils.o: utils.c global.h ../config.h errors.h utils.h
levkeydist.o: levkeydist.c global.h ../config.h printnum.h levkeydist.h
arccomp.o: arccomp.c global.h ../config.h errors.h isprop.h usage.h \
 utils.h singlefile.h chkfiles.h arccomp.h
singlefile.o: singlefile.c global.h ../config.h errors.h isprop.h \
 fltval.h ../hash/hashtable.h hashtab.h comments.h printnum.h matchnum.h \
 usage.h words.h needs.h arccomp.h singlefile.h
chkfiles.o: chkfiles.c global.h ../config.h errors.h isprop.h fltval.h \
 ../hash/hashtable.h hashtab.h printnum.h matchnum.h usage.h arccomp.h \
 words.h singlefile.h chkfiles.h
printnum.o: printnum.c global.h ../config.h fltval.h hashtab.h \
 ../hash/hashtable_itr.h ../hash/hashtable.h ../hash/hashtable_private.h \
 matchnum.h arccomp.h needs.h singlefile.h words.h printnum.h
matchnum.o: matchnum.c global.h ../config.h utils.h errors.h isprop.h \
 fltval.h levkeydist.h printnum.h hashtab.h usage.h arccomp.h needs.h \
 singlefile.h matchnum.h
needs.o: needs.c global.h ../config.h errors.h isprop.h utils.h fltval.h \
 hashtab.h printnum.h matchnum.h singlefile.h needs.h
hashtab.o: hashtab.c global.h ../config.h errors.h utils.h fltval.h \
 hashfunc.h ../hash/hashtable.h ../hash/hashtable_itr.h \
 ../hash/hashtable.h ../hash/hashtable_private.h hashtab.h
hashfunc.o: hashfunc.c ../config.h
usage.o: usage.c global.h ../config.h isprop.h utils.h fltval.h \
 singlefile.h chkfiles.h usage.h
words.o: words.c global.h ../config.h errors.h isprop.h utils.h \
 matchnum.h singlefile.h words.h
isprop.o: isprop.c global.h ../config.h isprop.h

